1 Reply Latest reply: Mar 26, 2014 6:40 AM by matt00
pumpernickelinc.com Level 1 Level 1 (0 points)

I'm not sure how or why but I seem to running an older version of ical on my macbook pro. My OS is 10.7.5 but my ical is 5.0.3

Any suggestions on where or how to update?


powerbook, Mac OS X (10.4.6)